#------------------------------------------------------------
# $Id: Makefile.in,v 1.1.2.5 2000/07/03 11:07:03 yamauchi Exp $
#
# mpi2 (R2mark) Makefile for build all
#	mpi2 Copyright    (C) 1993--2000 YAMAUCHI Hitoshi »³ÆâÀÆ 
#	R^2mark Copyright (C) 2000 YAMAUCHI Hitoshi »³ÆâÀÆ 
#------------------------------------------------------------
MAKE=@MAKEPROG@
RM=rm

all : reader onepe parallel


reader:
	(cd mpi2dataReader; 			\
	 ./configure;		 		\
	 ${RM} Makefile.depend; 		\
	 touch Makefile.depend;			\
	 $(MAKE) depend;			\
	 $(MAKE))
	


onepe: 
	(cd 1PE;    				\
	 ./configure;		 		\
	 # chmod u+x ./linkfor1PE.sh;		\
	 # ./linkfor1PE.sh;			\
	 ${RM} Makefile.depend; 		\
	 touch Makefile.depend;			\
	$(MAKE) depend;				\
	$(MAKE))

parallel :
	(cd mpi;    				\
	 ./configure;		 		\
	 # chmod u+x ./linkformpi.sh;		\
	 # ./linkformpi.sh; 			\
	 ${RM} Makefile.depend; 		\
	 touch Makefile.depend;			\
	 $(MAKE) depend;			\
	$(MAKE))


clean : 
	(cd mpi2dataReader; $(MAKE) clean)
	(cd 1PE;    $(MAKE) clean)
	(cd mpi;    $(MAKE) clean)


distclean : 
	$(RM) config.log config.cache config.status
	(cd mpi2dataReader; 	$(MAKE) distclean;)
	(cd 1PE;    		$(MAKE) distclean;)
	(cd mpi;    		$(MAKE) distclean;)

config : 
	(cd mpi2dataReader;	./configure)
	(cd 1PE;    		./configure)
	(cd mpi;    		./configure)
